export interface ReceiptItem {
    gtin: string;
    name: string;
    quantity: number;
    total: number;
    unitPrice: number;
    label: string;
    labelRate: number;
    taxBaseAmount: number;
    vatAmount: number;
}
export interface ReceiptMetadata {
    pib: string;
    shopFullName: string;
    address: string;
    city: string;
    municipality: string;
    buyerId?: string;
    requestedBy: string;
    invoiceType: string;
    transactionType: string;
    totalAmount: string;
    transactionTypeCounter: number;
    totalCounter: number;
    invoiceCounterExtension: string;
    invoiceNumber: string;
    signedBy: string;
    sdcDateTime: string;
}
export interface Receipt {
    success: boolean;
    items?: ReceiptItem[];
    invoiceNumber?: string;
    totalAmount?: number;
    itemCount?: number;
    metadata?: ReceiptMetadata;
}
export interface ScanResult {
    success: boolean;
    message: string;
    data?: Receipt;
    error?: string;
}
export declare class ReceiptScanner {
    private axiosInstance;
    constructor();
    scanReceipt(receiptUrl: string): Promise<ScanResult>;
}
export declare const scanReceipt: (receiptUrl: string) => Promise<ScanResult>;
export default ReceiptScanner;
//# sourceMappingURL=index.d.ts.map